org.wso2.carbon.webapp.mgt.session

## Class CarbonTomcatSimpleTcpCluster

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.ha.tcp.SimpleTcpCluster
      - - org.wso2.carbon.webapp.mgt.session.CarbonTomcatSimpleTcpCluster

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Cluster, org.apache.catalina.ha.CatalinaCluster, org.apache.catalina.ha.util.IDynamicProperty, org.apache.catalina.Lifecycle, org.apache.catalina.LifecycleListener, org.apache.catalina.tribes.ChannelListener, org.apache.catalina.tribes.MembershipListener

      public class CarbonTomcatSimpleTcpCluster
      extends org.apache.catalina.ha.tcp.SimpleTcpCluster

  The class extends tomcat's SimpleTcpCluster. The main use of this class is to have our implementation of DeltaManger(ClusterManager) to be used when standardContext class creates managers for contexts

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

      `org.apache.catalina.Lifecycle.SingleUse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.catalina.ha.ClusterManager` | `managerTemplate`

    - ### Fields inherited from class org.apache.catalina.ha.tcp.SimpleTcpCluster

      `AFTER_MANAGERREGISTER_EVENT, AFTER_MANAGERUNREGISTER_EVENT, AFTER_MEMBERREGISTER_EVENT, AFTER_MEMBERUNREGISTER_EVENT, BEFORE_MANAGERREGISTER_EVENT, BEFORE_MANAGERUNREGISTER_EVENT, BEFORE_MEMBERREGISTER_EVENT, BEFORE_MEMBERUNREGISTER_EVENT, channel, clusterImpName, clusterListeners, clusterName, container, hasMembers, heartbeatBackgroundEnabled, info, log, managers, RECEIVE_MESSAGE_FAILURE_EVENT, SEND_MESSAGE_FAILURE_EVENT, sm, support`

    - ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `mserver`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CarbonTomcatSimpleTcpCluster()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.catalina.Manager` | `createManager(String name)` Create new Manager without add to cluster (comes with start the manager)
    `org.apache.catalina.ha.ClusterManager` | `getManagerTemplate()`
    `void` | `setManagerTemplate(org.apache.catalina.ha.ClusterManager managerTemplate)`

    - ### Methods inherited from class org.apache.catalina.ha.tcp.SimpleTcpCluster

      `accept, addClusterListener, addValve, backgroundProcess, checkDefaults, destroyInternal, findClusterListeners, getChannel, getChannelSendOptions, getChannelStartOptions, getClusterDeployer, getClusterName, getContainer, getDomainInternal, getInfo, getLocalMember, getLogger, getManager, getManagerName, getManagers, getMembers, getObjectNameKeyProperties, getProperty, getPropertyNames, getProtocol, getValves, hasMembers, initInternal, isHeartbeatBackgroundEnabled, isNotifyLifecycleListenerOnFailure, lifecycleEvent, memberAdded, memberDisappeared, messageReceived, messageReceived, registerClusterValve, registerManager, removeClusterListener, removeManager, removeProperty, send, send, setChannel, setChannelSendOptions, setChannelStartOptions, setClusterDeployer, setClusterName, setContainer, setHeartbeatBackgroundEnabled, setNotifyLifecycleListenerOnFailure, setProperty, setProperty, setProtocol, startInternal, stopInternal, toString, transferProperty, unregisterClusterValve`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.ha.CatalinaCluster

      `start, stop`

    - ### Methods inherited from interface org.apache.catalina.tribes.ChannelListener

      `equals, hashCode`

- - ### Field Detail

    - #### managerTemplate

          protected org.apache.catalina.ha.ClusterManager managerTemplate

  - ### Constructor Detail

    - #### CarbonTomcatSimpleTcpCluster

          public CarbonTomcatSimpleTcpCluster()

  - ### Method Detail

    - #### setManagerTemplate

          public void setManagerTemplate(org.apache.catalina.ha.ClusterManager managerTemplate)

      Overrides:
        `setManagerTemplate` in class `org.apache.catalina.ha.tcp.SimpleTcpCluster`

    - #### getManagerTemplate

          public org.apache.catalina.ha.ClusterManager getManagerTemplate()

      Overrides:
        `getManagerTemplate` in class `org.apache.catalina.ha.tcp.SimpleTcpCluster`

    - #### createManager

          public org.apache.catalina.Manager createManager(String name)

      Create new Manager without add to cluster (comes with start the manager)
      Specified by:
        `createManager` in interface `org.apache.catalina.Cluster`
      Overrides:
        `createManager` in class `org.apache.catalina.ha.tcp.SimpleTcpCluster`
      Parameters:
        `name` - Context Name of this manager
      See Also:
        `Cluster.createManager(String)`, `LifecycleBase.start()`

Copyright © 2017 WSO2. All rights reserved.